Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033526
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-07-21 21:082017-03-15 18:24
ReporterrbianchiniView Statuspublic 
Assigned Tomario_castello 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5e3c1641c441
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR16Q2.1SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033526: Wrong Payment Method in orders generated by Web POS

DescriptionWrong Payment Method in some orders generated by Web POS. When you open in back office a sales order generated in Web POS for a specified bussines partner, the field payment method is populated with the business partner's default payment method instead of the real payment method used
Steps To Reproduce1 - Log in Web POS
2 - Select Arturo Montoro as business partner
3 - Add a product to the order and click on total button
4 - Select the card payment method and pay the receipt
5 - Observe that in the receipt the paiment method is card
6 - Go to back office and open the sales order created in step 4
7 - Observe that the paiment method is cash (wrong, it should be card)
TagsNo tags attached.
Attached Filesdiff file icon posterminalfix33526RR16Q2.1.diff [^] (3,153 bytes) 2016-08-19 18:01 [Show Content]
diff file icon fix33526RR16Q3.5.diff [^] (4,917 bytes) 2017-03-15 18:24 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0030637 closedRetail Set the payment method used in payment schedule 

-  Notes
(0088858)
hgbot (developer)
2016-08-06 18:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6b02082c45e7308880e915e40913148e7c15b914
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Thu Aug 04 09:50:20 2016 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6b02082c45e7308880e915e40913148e7c15b914 [^]

Fixed issue 33526: Added new property to receipt to send the payment method used by client if the order has only one payment

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0088859)
hgbot (developer)
2016-08-06 18:40

Repository: tools/automation/pi-mobile
Changeset: 8fc3def1554a669307ed2422b16a20d8bb50608f
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Sat Aug 06 10:40:05 2016 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/8fc3def1554a669307ed2422b16a20d8bb50608f [^]

Related to issue 33526: Added automated test

---
A src-test/org/openbravo/test/mobile/quarantine/pack/MCA/receipts/I33526_ReceiptVerifyPaymentMethod.java
---
(0088865)
hgbot (developer)
2016-08-07 09:42

Repository: tools/automation/pi-mobile
Changeset: 9e5d657edc3bd50a2ee9f6c54fb39f5ff22e8d1e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Sun Aug 07 09:42:27 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/9e5d657edc3bd50a2ee9f6c54fb39f5ff22e8d1e [^]

Related to issue 33526, solve compile error

---
M src-test/org/openbravo/test/mobile/quarantine/pack/MCA/receipts/I33526_ReceiptVerifyPaymentMethod.java
---
(0088874)
migueldejuana (developer)
2016-08-08 09:44

Please, check compiling error.
(0088960)
hgbot (developer)
2016-08-10 16:36

Repository: tools/automation/pi-mobile
Changeset: 5e3c1641c441fe5f539a9b9f5ca2579cf7f3f367
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Wed Aug 10 08:35:57 2016 -0600
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5e3c1641c441fe5f539a9b9f5ca2579cf7f3f367 [^]

Fixed issue 33526: Added new testId, solve compile errors in test I33526_ReceiptVerifyPaymentMethod

---
M src-test/org/openbravo/test/mobile/quarantine/pack/MCA/receipts/I33526_ReceiptVerifyPaymentMethod.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
---
(0089082)
migueldejuana (developer)
2016-08-12 12:04

Tested and reviewed

- Issue History
Date Modified Username Field Change
2016-07-21 21:08 rbianchini New Issue
2016-07-21 21:08 rbianchini Assigned To => Retail
2016-07-21 21:08 rbianchini Triggers an Emergency Pack => No
2016-08-02 16:36 mario_castello Status new => acknowledged
2016-08-02 16:36 mario_castello Assigned To Retail => mario_castello
2016-08-02 16:46 mario_castello Status acknowledged => scheduled
2016-08-06 18:34 hgbot Checkin
2016-08-06 18:34 hgbot Note Added: 0088858
2016-08-06 18:34 hgbot Status scheduled => resolved
2016-08-06 18:34 hgbot Resolution open => fixed
2016-08-06 18:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6b02082c45e7308880e915e40913148e7c15b914 [^]
2016-08-06 18:40 hgbot Checkin
2016-08-06 18:40 hgbot Note Added: 0088859
2016-08-07 09:42 hgbot Checkin
2016-08-07 09:42 hgbot Note Added: 0088865
2016-08-08 09:44 migueldejuana Note Added: 0088874
2016-08-08 09:44 migueldejuana Status resolved => new
2016-08-08 09:44 migueldejuana Resolution fixed => open
2016-08-10 16:36 hgbot Checkin
2016-08-10 16:36 hgbot Note Added: 0088960
2016-08-10 16:36 hgbot Status new => resolved
2016-08-10 16:36 hgbot Resolution open => fixed
2016-08-10 16:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6b02082c45e7308880e915e40913148e7c15b914 [^] => http://code.openbravo.com/tools/automation/pi-mobile/rev/5e3c1641c441fe5f539a9b9f5ca2579cf7f3f367 [^]
2016-08-12 12:04 migueldejuana Review Assigned To => migueldejuana
2016-08-12 12:04 migueldejuana Note Added: 0089082
2016-08-12 12:04 migueldejuana Status resolved => closed
2016-08-19 18:01 mario_castello File Added: posterminalfix33526RR16Q2.1.diff
2016-11-09 12:04 malsasua Relationship added has duplicate 0030637
2017-03-15 18:24 mario_castello File Added: fix33526RR16Q3.5.diff


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker